Module java.base
Package java.nio.channels

# Class IllegalChannelGroupException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.nio.channels.IllegalChannelGroupException

All Implemented Interfaces:
  `Serializable`

public class IllegalChannelGroupException extends IllegalArgumentException
Unchecked exception thrown when an attempt is made to open a channel in a group that was not created by the same provider.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalChannelGroupException()`
Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalChannelGroupException

public IllegalChannelGroupException()
Constructs an instance of this class.